// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.12.4
// source: enrollment/enrollment_svc.proto

package enrollment

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_enrollment_enrollment_svc_proto protoreflect.FileDescriptor

var file_enrollment_enrollment_svc_proto_rawDesc = []byte{
	0x0a, 0x1f, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2f, 0x65, 0x6e, 0x72,
	0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x73, 0x76, 0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x0a, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x1a, 0x1b, 0x65,
	0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2f, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c,
	0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x32, 0xb2, 0x01, 0x0a, 0x11, 0x45,
	0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x12, 0x50, 0x0a, 0x0a, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x51, 0x75, 0x69, 0x7a, 0x12, 0x1b,
	0x2e, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x51, 0x75, 0x69, 0x7a,
	0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x1a, 0x25, 0x2e, 0x65, 0x6e,
	0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a,
	0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x4b, 0x0a, 0x08, 0x54, 0x61, 0x6b, 0x65, 0x51, 0x75, 0x69, 0x7a, 0x12, 0x1a,
	0x2e, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x47, 0x65, 0x74, 0x54,
	0x61, 0x6b, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x65, 0x6e, 0x72,
	0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x65, 0x74, 0x54, 0x61, 0x6b, 0x65, 0x51,
	0x75, 0x69, 0x7a, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x28, 0x01, 0x30, 0x01, 0x42,
	0x42, 0x5a, 0x40, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x6f,
	0x2d, 0x70, 0x72, 0x6f, 0x2d, 0x63, 0x61, 0x70, 0x74, 0x2f, 0x70, 0x6c, 0x61, 0x74, 0x7a, 0x69,
	0x2d, 0x67, 0x6f, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x70, 0x69,
	0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x70, 0x62, 0x2f, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d,
	0x65, 0x6e, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_enrollment_enrollment_svc_proto_goTypes = []interface{}{
	(*QuizEnrollments)(nil),           // 0: enrollment.QuizEnrollments
	(*GetTakeRequest)(nil),            // 1: enrollment.GetTakeRequest
	(*SetQuizEnrollmentResponse)(nil), // 2: enrollment.SetQuizEnrollmentResponse
	(*SetTakeQuizResponse)(nil),       // 3: enrollment.SetTakeQuizResponse
}
var file_enrollment_enrollment_svc_proto_depIdxs = []int32{
	0, // 0: enrollment.EnrollmentService.EnrollQuiz:input_type -> enrollment.QuizEnrollments
	1, // 1: enrollment.EnrollmentService.TakeQuiz:input_type -> enrollment.GetTakeRequest
	2, // 2: enrollment.EnrollmentService.EnrollQuiz:output_type -> enrollment.SetQuizEnrollmentResponse
	3, // 3: enrollment.EnrollmentService.TakeQuiz:output_type -> enrollment.SetTakeQuizResponse
	2, // [2:4] is the sub-list for method output_type
	0, // [0:2] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_enrollment_enrollment_svc_proto_init() }
func file_enrollment_enrollment_svc_proto_init() {
	if File_enrollment_enrollment_svc_proto != nil {
		return
	}
	file_enrollment_enrollment_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_enrollment_enrollment_svc_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_enrollment_enrollment_svc_proto_goTypes,
		DependencyIndexes: file_enrollment_enrollment_svc_proto_depIdxs,
	}.Build()
	File_enrollment_enrollment_svc_proto = out.File
	file_enrollment_enrollment_svc_proto_rawDesc = nil
	file_enrollment_enrollment_svc_proto_goTypes = nil
	file_enrollment_enrollment_svc_proto_depIdxs = nil
}
